Package org.gradle.api.tasks

# Interface VerificationTask

All Known Implementing Classes:
  `AbstractTestTask`, `Checkstyle`, `CodeNarc`, `CompareGradleBuilds`, `FindBugs`, `Pmd`, `Test`, `ValidateTaskProperties`, `XcTest`

public interface VerificationTask
A `VerificationTask` is a task which performs some verification of the artifacts produced by a build.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getIgnoreFailures()`
Specifies whether the build should break when the verifications performed by this task fail.
`void`
`setIgnoreFailures(boolean ignoreFailures)`
Specifies whether the build should break when the verifications performed by this task fail.

## Method Details

### setIgnoreFailures

void setIgnoreFailures(boolean ignoreFailures)
Specifies whether the build should break when the verifications performed by this task fail.

Parameters:
  `ignoreFailures` - false to break the build on failure, true to ignore the failures. The default is false.

### getIgnoreFailures

@Input boolean getIgnoreFailures()
Specifies whether the build should break when the verifications performed by this task fail.

Returns:
  false, when the build should break on failure, true when the failures should be ignored.